Subject: Re: [PATCH linux-next] snd-hda: fix build errors

From: Randy Dunlap <[email-masked]>
Date: Fri, 21 Nov 2008 12:42:02 -0800

Takashi Iwai wrote:
> At Fri, 21 Nov 2008 12:02:48 -0800,
> Randy Dunlap wrote:
>> From: Randy Dunlap <[email-masked]>
>>
>> First error comes from snd_hda_eld_proc_new() not being static
>> when CONFIG_PROC_FS=n.  After that is fixed, the next problem is:
>> ERROR: "snd_print_pcm_rates" [sound/pci/hda/snd-hda-intel.ko] undefined!
>>
>> so I made a static inline version of that one too, for CONFIG_PROC_FS=n.
>> Please build/test more config variations.
>>
>>   LD [M]  sound/pci/hda/snd-hda-intel.o
>> sound/pci/hda/hda_eld.o: In function `snd_hda_eld_proc_new':
>> (.text+0x0): multiple definition of `snd_hda_eld_proc_new'
>> sound/pci/hda/hda_codec.o:(.text+0x58): first defined here
>> sound/pci/hda/hda_hwdep.o: In function `snd_hda_eld_proc_new':
>> (.text+0x0): multiple definition of `snd_hda_eld_proc_new'
>> sound/pci/hda/hda_codec.o:(.text+0x58): first defined here
>> sound/pci/hda/hda_generic.o: In function `snd_hda_eld_proc_new':
>> (.text+0x1d): multiple definition of `snd_hda_eld_proc_new'
>> sound/pci/hda/hda_codec.o:(.text+0x58): first defined here
>> sound/pci/hda/patch_realtek.o: In function `snd_hda_eld_proc_new':
>> (.text+0x3b): multiple definition of `snd_hda_eld_proc_new'
>> sound/pci/hda/hda_codec.o:(.text+0x58): first defined here
>> sound/pci/hda/patch_cmedia.o: In function `snd_hda_eld_proc_new':
>> (.text+0x0): multiple definition of `snd_hda_eld_proc_new'
>> sound/pci/hda/hda_codec.o:(.text+0x58): first defined here
>> sound/pci/hda/patch_analog.o: In function `snd_hda_eld_proc_new':
>> (.text+0x0): multiple definition of `snd_hda_eld_proc_new'
>> sound/pci/hda/hda_codec.o:(.text+0x58): first defined here
>> sound/pci/hda/patch_sigmatel.o: In function `snd_hda_eld_proc_new':
>> (.text+0x3b): multiple definition of `snd_hda_eld_proc_new'
>> sound/pci/hda/hda_codec.o:(.text+0x58): first defined here
>> sound/pci/hda/patch_atihdmi.o: In function `snd_hda_eld_proc_new':
>> (.text+0x3b): multiple definition of `snd_hda_eld_proc_new'
>> sound/pci/hda/hda_codec.o:(.text+0x58): first defined here
>> sound/pci/hda/patch_conexant.o: In function `snd_hda_eld_proc_new':
>> (.text+0x0): multiple definition of `snd_hda_eld_proc_new'
>> sound/pci/hda/hda_codec.o:(.text+0x58): first defined here
>> sound/pci/hda/patch_via.o: In function `snd_hda_eld_proc_new':
>> (.text+0x0): multiple definition of `snd_hda_eld_proc_new'
>> sound/pci/hda/hda_codec.o:(.text+0x58): first defined here
>> sound/pci/hda/patch_intelhdmi.o: In function `snd_hda_eld_proc_new':
>> (.text+0x3b): multiple definition of `snd_hda_eld_proc_new'
>> sound/pci/hda/hda_codec.o:(.text+0x58): first defined here
>> make[4]: *** [sound/pci/hda/snd-hda-intel.o] Error 1
>>
>> Signed-off-by: Randy Dunlap <[email-masked]>
>> cc: Wu Fengguang <[email-masked]>
>> cc: Takashi Iwai <[email-masked]>
>> ---
>>  sound/pci/hda/hda_local.h |    7 ++++++-
>>  1 file changed, 6 insertions(+), 1 deletion(-)
> 
> Thanks, but these have been differently fixed on the latest ALSA tree.
> snd_print_pcm_*() have to be defined no matter what CONFIG_PROC_FS is.

No problem.  Just for clarification, is linux-next one day behind
your latest tree, or is linux-next using a different branch of it,
or what?

Thanks.
-- 
~Randy